Package net.shibboleth.idp.admin.impl

# Record Class InstallableComponentGaugeSet.InstallableComponentDetails

java.lang.Object
java.lang.Record
net.shibboleth.idp.admin.impl.InstallableComponentGaugeSet.InstallableComponentDetails

Record Components:
  `supportedState` - support level of component
  `updateVersion` - update version available

Enclosing class:
  InstallableComponentGaugeSet

static record InstallableComponentGaugeSet.InstallableComponentDetails(@Nonnull InstallableComponentSupport.SupportLevel supportedState, @Nullable InstallableComponentVersion updateVersion) extends Record
Tracks information about an installed component.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final InstallableComponentSupport.SupportLevel`
`supportedState`
The field for the `supportedState` record component.
`private final InstallableComponentVersion`
`updateVersion`
The field for the `updateVersion` record component.

## Constructor Summary

Constructors
Constructor
Description
`InstallableComponentDetails(InstallableComponentSupport.SupportLevel supportedState, InstallableComponentVersion updateVersion)`
Creates an instance of a `InstallableComponentDetails` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`InstallableComponentSupport.SupportLevel`
`supportedState()`
Returns the value of the `supportedState` record component.
`final String`
`toString()`
Returns a string representation of this record class.
`InstallableComponentVersion`
`updateVersion()`
Returns the value of the `updateVersion` record component.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### supportedState

@Nonnull @NotEmpty private final InstallableComponentSupport.SupportLevel supportedState
The field for the `supportedState` record component.

### updateVersion

@Nullable private final InstallableComponentVersion updateVersion
The field for the `updateVersion` record component.

## Constructor Details

### InstallableComponentDetails

InstallableComponentDetails(@Nonnull @NotEmpty InstallableComponentSupport.SupportLevel supportedState, @Nullable InstallableComponentVersion updateVersion)
Creates an instance of a `InstallableComponentDetails` record class.

Parameters:
  `supportedState` - the value for the `supportedState` record component
  `updateVersion` - the value for the `updateVersion` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### supportedState

@Nonnull @NotEmpty public InstallableComponentSupport.SupportLevel supportedState()
Returns the value of the `supportedState` record component.

Returns:
  the value of the `supportedState` record component

### updateVersion

@Nullable public InstallableComponentVersion updateVersion()
Returns the value of the `updateVersion` record component.

Returns:
  the value of the `updateVersion` record component